#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,144,216,288,360,504,576,720,1440,2880
 * N : 25,144,216,288,360,504,576,720,1440,2880
 * NB : 1,24,24,36,76,64,136,100,96,72
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 84) (nb_) = 1; \
   else if ((n_) < 252) (nb_) = 24; \
   else if ((n_) < 324) (nb_) = 36; \
   else if ((n_) < 432) (nb_) = 76; \
   else if ((n_) < 540) (nb_) = 64; \
   else if ((n_) < 648) (nb_) = 136; \
   else if ((n_) < 1080) (nb_) = 100; \
   else if ((n_) < 2160) (nb_) = 96; \
   else (nb_) = 72; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
