#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,96,192,288,432,864,1296,1488,1584,1632,1680,1728
 * N : 25,96,192,288,432,864,1296,1488,1584,1632,1680,1728
 * NB : 3,96,96,72,120,96,96,96,96,96,96,240
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 60) (nb_) = 3; \
   else if ((n_) < 240) (nb_) = 96; \
   else if ((n_) < 360) (nb_) = 72; \
   else if ((n_) < 648) (nb_) = 120; \
   else if ((n_) < 1704) (nb_) = 96; \
   else (nb_) = 240; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
